RagTime5SpreadsheetInternal::ClusterSpreadsheet Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
RagTime5SpreadsheetInternal::ClusterSpreadsheet Struct Referencefinal

low level: the spreadsheet cluster data More...

Inheritance diagram for RagTime5SpreadsheetInternal::ClusterSpreadsheet:

## Public Member Functions
| ClusterSpreadsheet ()
| constructor More...
| ~ClusterSpreadsheet () final
| destructor More...
Public Member Functions inherited from RagTime5ClusterManager::Cluster
| Cluster (Type type)
| constructor More...
virtual | ~Cluster ()
| destructor More...

## Public Attributes
RagTime5ClusterManager::Link | m_dimensionLink
| the dimension link More...
RagTime5ClusterManager::Link | m_valuesLink
| the list of values link More...
RagTime5ClusterManager::Link | m_valuesTreeLink
| the value tree link More...
int | m_valuesTreeRoot
| the value tree root More...
MWAWVec3i | m_valuesMaxPos
| the maximum values position More...
RagTime5ClusterManager::Link | m_graphPLCLink
| the graph PLC link More...
std::map< MWAWVec2i, int > | m_graphPLCNumRowByPlanesMap
| the list of row graph plc by planes More...
RagTime5ClusterManager::Link | m_textPLCLink
| the text PLC link More...
std::map< MWAWVec2i, int > | m_textPLCNumRowByPlanesMap
| the list of row text plc by planes More...
RagTime5ClusterManager::Link | m_borderPLCLink [2]
| the border PLC link(vertical then horizontal) More...
std::map< MWAWVec2i, int > | m_borderPLCNumRowByPlanesMap [2]
| the list of row border plc by planes More...
RagTime5ClusterManager::Link | m_blockLinks [3]
| the reference block/cell union/reference pos link More...
RagTime5ClusterManager::Link | m_clusterLink [2]
| cluster links list: 0 picture link(size 10), 1 parent link (size 24) More...
Public Attributes inherited from RagTime5ClusterManager::Cluster
Type | m_type
| the cluster type More...
int | m_zoneId
| the zone id More...
bool | m_hiLoEndian
| the cluster hiLo endian More...
librevenge::RVNGString | m_name
| the cluster name (if know) More...
Link | m_dataLink
| the main data link More...
Link | m_nameLink
| the name link More...
Link | m_fieldClusterLink
| the field cluster links (def and pos) More...
std::vector< Link > | m_conditionFormulaLinks
| the conditions formula links More...
std::vector< Link > | m_settingLinks
| the settings links More...
std::vector< Link > | m_linksList
| the link list More...
std::vector< int > | m_clusterIdsList
| the cluster ids More...
bool | m_isSent
| true if the cluster was send More...

## Additional Inherited Members
Public Types inherited from RagTime5ClusterManager::Cluster
enum | Type { C_ColorPattern, C_Fields, C_Layout, C_Pipeline, C_Root, C_ClusterGProp, C_Script, C_ChartZone, C_GraphicZone, C_PictureZone, C_SpreadsheetZone, C_TextZone, C_ColorStyles, C_FormatStyles, C_GraphicStyles, C_TextStyles, C_UnitStyles, C_ClusterC, C_Empty, C_Unknown }
| the cluster type More...

## Detailed Description

low level: the spreadsheet cluster data

## Constructor & Destructor Documentation

## ◆ ClusterSpreadsheet()

RagTime5SpreadsheetInternal::ClusterSpreadsheet::ClusterSpreadsheet | ( |  | ) |
| inline

constructor

## ◆ ~ClusterSpreadsheet()

RagTime5SpreadsheetInternal::ClusterSpreadsheet::~ClusterSpreadsheet | ( |  | ) |
| final

destructor

## Member Data Documentation

## ◆ m_blockLinks

RagTime5ClusterManager::Link RagTime5SpreadsheetInternal::ClusterSpreadsheet::m_blockLinks[3]

the reference block/cell union/reference pos link

## ◆ m_borderPLCLink

RagTime5ClusterManager::Link RagTime5SpreadsheetInternal::ClusterSpreadsheet::m_borderPLCLink[2]

the border PLC link(vertical then horizontal)

## ◆ m_borderPLCNumRowByPlanesMap

std::map<MWAWVec2i,int> RagTime5SpreadsheetInternal::ClusterSpreadsheet::m_borderPLCNumRowByPlanesMap[2]

the list of row border plc by planes

## ◆ m_clusterLink

RagTime5ClusterManager::Link RagTime5SpreadsheetInternal::ClusterSpreadsheet::m_clusterLink[2]

cluster links list: 0 picture link(size 10), 1 parent link (size 24)

## ◆ m_dimensionLink

RagTime5ClusterManager::Link RagTime5SpreadsheetInternal::ClusterSpreadsheet::m_dimensionLink

the dimension link

## ◆ m_graphPLCLink

RagTime5ClusterManager::Link RagTime5SpreadsheetInternal::ClusterSpreadsheet::m_graphPLCLink

the graph PLC link

## ◆ m_graphPLCNumRowByPlanesMap

std::map<MWAWVec2i,int> RagTime5SpreadsheetInternal::ClusterSpreadsheet::m_graphPLCNumRowByPlanesMap

the list of row graph plc by planes

## ◆ m_textPLCLink

RagTime5ClusterManager::Link RagTime5SpreadsheetInternal::ClusterSpreadsheet::m_textPLCLink

the text PLC link

## ◆ m_textPLCNumRowByPlanesMap

std::map<MWAWVec2i,int> RagTime5SpreadsheetInternal::ClusterSpreadsheet::m_textPLCNumRowByPlanesMap

the list of row text plc by planes

## ◆ m_valuesLink

RagTime5ClusterManager::Link RagTime5SpreadsheetInternal::ClusterSpreadsheet::m_valuesLink

the list of values link

## ◆ m_valuesMaxPos

MWAWVec3i RagTime5SpreadsheetInternal::ClusterSpreadsheet::m_valuesMaxPos

the maximum values position

## ◆ m_valuesTreeLink

RagTime5ClusterManager::Link RagTime5SpreadsheetInternal::ClusterSpreadsheet::m_valuesTreeLink

the value tree link

## ◆ m_valuesTreeRoot

int RagTime5SpreadsheetInternal::ClusterSpreadsheet::m_valuesTreeRoot

the value tree root

The documentation for this struct was generated from the following file:

- RagTime5Spreadsheet.cxx